I can't upgrade to Bionic Beaver

Asked by José Marcelo de Castro on 2018-08-14

when I try upgrade to Ubuntu 18.04 from 16.04 the upgrade software stop and show the message "There is a unsolve problem, an error occurred while calculating the update.". After three possible cause are showed:
Upgrade to a pre-release
to run from the pre-release version
Use non-official ubuntu package.

Neither above are applicable to me.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.25
ProcVersionSignature: Ubuntu 4.15.0-30.32~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-30-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: KDE
Date: Mon Aug 13 22:30:11 2018
InstallationDate: Installed on 2017-04-01 (499 days ago)
InstallationMedia: Kubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to xenial on 2018-08-14 (0 days ago)
VarLogDistupgradeTermlog:

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu ubuntu-release-upgrader Edit question
Assignee:
No assignee Edit question
Last query:
2018-08-14
Last reply:
2018-12-20

This question was originally filed as bug #1786876.

trisha g (trishag) said : #1

when I try upgrade to Ubuntu 18.04 from 16.04 the upgrade software stop and show the message "There is a unsolve problem, an error occurred while calculating the update.". After three possible cause are showed:
Upgrade to a pre-release
to run from the pre-release version
Use non-official ubuntu package.

Neither above are applicable to me. How to fix??

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.25
ProcVersionSignature: Ubuntu 4.15.0-30.32~16.04.1-generic 4.15.18
Uname: Linux 4.15.0-30-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: KDE
Date: Mon Aug 13 22:30:11 2018
InstallationDate: Installed on 2017-04-01 (499 days ago)
InstallationMedia: Kubuntu 16.04.2 LTS "Xenial Xerus" - Release amd64 (20170215)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to xenial on 2018-08-14 (0 days ago)
VarLogDistupgradeTermlog:

fieryhydra (fieryhydra) said : #2

I had a very similar problem. Upon receiving feedback from someone on this forum, I removed (purged) some of my PPA's that I didn't think I needed when upgrading to 18.04LTS. Anyway, after purging the said PPA's, the upgrade went very smoothly. I can't say for certain which particular PPA was the cause for not letting the system upgrade from 16.04LTS to 18.04LTS.

Can you help with this problem?

Provide an answer of your own, or ask José Marcelo de Castro for more information if necessary.

To post a message you must log in.